commit:     212e9fedff4e4fdf3225df03c642f6ba19bef5a4
Author:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
AuthorDate: Mon May 10 00:24:25 2021 +0000
Commit:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
CommitDate: Sun Jun 20 21:55:07 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=212e9fed

sci-visualization/tensorboard: bump 2.5.0

Package-Manager: Portage-3.0.18, Repoman-3.0.2
Signed-off-by: Jason Zaman <perfinion <AT> gentoo.org>

 sci-visualization/tensorboard/Manifest             |  1 +
 .../tensorboard/tensorboard-2.5.0.ebuild           | 64 ++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/sci-visualization/tensorboard/Manifest 
b/sci-visualization/tensorboard/Manifest
index 838f59d63d1..28e630aaddc 100644
--- a/sci-visualization/tensorboard/Manifest
+++ b/sci-visualization/tensorboard/Manifest
@@ -1 +1,2 @@
 DIST tensorboard-2.4.0.zip 10631832 BLAKE2B 
e892c3f62855bd900320adbbea2758191296e2863e8865f4ffed3c5623fe5273a5a26554504b63db58c60d2a8c407e234d6cf3edc3868c88dfebd894def99859
 SHA512 
2301f526a98ac85cf5d182fff0f565c86883ec795bbaf2322696416621c8473d850a3f508079f89ca2a86a05fe020acde1282b72e2bb5ad77aab2d0e5ea2db4f
+DIST tensorboard-2.5.0.zip 6019104 BLAKE2B 
f07db4fec7cc39e15c4f580f479679f0db4f06e66d81768799ed3652bb9ba63c7b61bde7f12119d09474009e55c12d91ef0f2b3aeeb05682532630314cab871a
 SHA512 
e39ca09bd00fab9b5f6f9393e48cb6be2313f86c24b2f0ffcfd08b08b9ed4e95e7e19297bb67d8b558e1913640774f9b9d512a34153251acb9f566d6485e0f78

diff --git a/sci-visualization/tensorboard/tensorboard-2.5.0.ebuild 
b/sci-visualization/tensorboard/tensorboard-2.5.0.ebuild
new file mode 100644
index 00000000000..345a4c81151
--- /dev/null
+++ b/sci-visualization/tensorboard/tensorboard-2.5.0.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8} )
+inherit python-r1
+
+DESCRIPTION="TensorFlow's Visualization Toolkit"
+HOMEPAGE="https://www.tensorflow.org/";
+SRC_URI="https://files.pythonhosted.org/packages/py3/${PN::1}/${PN}/${P}-py3-none-any.whl
 -> ${P}.zip"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+REQUIRED_USE=${PYTHON_REQUIRED_USE}
+
+RDEPEND="
+       ${PYTHON_DEPS}
+       dev-python/bleach[${PYTHON_USEDEP}]
+       >=dev-python/google-auth-1.6.3[${PYTHON_USEDEP}]
+       >=dev-python/google-auth-oauthlib-0.4.1[${PYTHON_USEDEP}]
+       dev-python/grpcio[${PYTHON_USEDEP}]
+       dev-python/html5lib[${PYTHON_USEDEP}]
+       dev-python/markdown[${PYTHON_USEDEP}]
+       dev-python/numpy[${PYTHON_USEDEP}]
+       dev-python/protobuf-python[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+       >=dev-python/setuptools-41[${PYTHON_USEDEP}]
+       dev-python/werkzeug[${PYTHON_USEDEP}]
+       dev-python/wheel[${PYTHON_USEDEP}]
+       >=dev-python/scipy-1.4.1[${PYTHON_USEDEP}]"
+BDEPEND="app-arch/unzip
+       ${PYTHON_DEPS}"
+PDEPEND="sci-libs/tensorflow[python,${PYTHON_USEDEP}]"
+
+S="${WORKDIR}"
+
+src_prepare() {
+       eapply_user
+
+       rm -rf "${S}/${PN}/_vendor/bleach" || die
+       rm -rf "${S}/${PN}/_vendor/html5lib" || die
+       sed -i -e '/_vendor.bleach/d' -e '/_vendor.html5lib/d' 
"${S}/${P}.dist-info/RECORD" || die "failed to unvendor"
+
+       find "${S}/${PN}" -name '*.py' -exec sed -i \
+               -e 's/^from tensorboard\._vendor import html5lib/import 
html5lib/' \
+               -e 's/^from tensorboard\._vendor import bleach/import bleach/' \
+               -e 's/^from tensorboard\._vendor\.html5lib/from html5lib/' \
+               -e 's/^from tensorboard\._vendor\.bleach/from bleach/' \
+               {} + || die "failed to unvendor"
+
+       sed -i -e '/tensorboard-plugin-/d' "${S}/${P}.dist-info/METADATA" || 
die "failed to remove plugin deps"
+       sed -i -e '/tensorboard-data-server/d' "${S}/${P}.dist-info/METADATA" 
|| die "failed to remove data-server deps"
+}
+
+src_install() {
+       do_install() {
+               python_domodule "${PN}"
+               python_domodule "${P}.dist-info"
+       }
+       python_foreach_impl do_install
+}

Reply via email to